/**
 * DataPanelEF 部件模型
 *
 * @export
 * @class DataPanelEFModel
 */
export default class DataPanelEFModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof DataPanelEFModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'workorderid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'workordername',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'eamwotypename',
        prop: 'eamwotypename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamservicelevelname',
        prop: 'eamservicelevelname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'workorderid',
        prop: 'workorderid',
        dataType: 'GUID',
      },
      {
        name: 'eamservicelevelid',
        prop: 'eamservicelevelid',
        dataType: 'PICKUP',
      },
      {
        name: 'eamwotypeid',
        prop: 'eamwotypeid',
        dataType: 'PICKUP',
      },
      {
        name: 'eamworkorder',
        prop: 'workorderid',
        dataType: 'FONTKEY',
      },
    ]
  }

}